
Core - Task # 64697

Status: Resolved Priority: Should have
Author: Stephan Großberndt Category: Database API
Created: 2015-01-31 Assigned To:
Updated: 2015-01-31 Due date:
TYPO3 Version: 7
PHP Version:
Complexity:
Sprint Focus:
Subject: Add Tests for NULL fields when comparing SQL field definitions 
Description

In #64616 tests were added only for checking NOT NULL, but explicit NULL definitions should be checked too.

Related issues:
related to Core - Bug # 64616: Compare Database does not remove  'NOT NULL' Resolved 2015-01-29

Associated revisions
Revision b0507e87 - 2015-01-31 19:15 - Stephan Großberndt

[TASK] Add test for NULL fields when comparing SQL field definitions

Resolves: #64697
Releases: master, 6.2
Change-Id: I6d08445633af54d64f9176fc7b691e318d08d897
Reviewed-on: http://review.typo3.org/36529
Reviewed-by: Ronny Vorpahl <vorpahl@artplan21.de>
Reviewed-by: Mathias Schreiber <mathias.schreiber@wmdb.de>
Tested-by: Mathias Schreiber <mathias.schreiber@wmdb.de>
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>

Revision 01da1d62 - 2015-01-31 19:15 - Stephan Großberndt

[TASK] Add test for NULL fields when comparing SQL field definitions

Resolves: #64697
Releases: master, 6.2
Change-Id: I6d08445633af54d64f9176fc7b691e318d08d897
Reviewed-on: http://review.typo3.org/36538
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>

History
#1 - 2015-01-31 17:44 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36529

#2 - 2015-01-31 19:15 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/36538

#3 - 2015-01-31 19:30 - Stephan Großberndt
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b0507e87f726138396d48ab3703f403dd35d92a3.
